<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <groupId>com.viettelpost.platform.wms.wms-edge</groupId>
    <artifactId>interface</artifactId>
    <modelVersion>4.0.0</modelVersion>
    <packaging>jar</packaging>

    <parent>
        <groupId>com.viettelpost.platform.wms</groupId>
        <artifactId>wms-edge</artifactId>
        <version>1.0</version>
    </parent>

    <dependencies>
        <dependency>
            <groupId>com.viettelpost.platform.wms.wms-common</groupId>
            <artifactId>common</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <dependency>
            <artifactId>data</artifactId>
            <groupId>com.viettelpost.platform.root.root-common</groupId>
            <version>${project.parent.version}</version>
        </dependency>
        <dependency>
            <groupId>com.viettelpost.platform.wms.wms-edge</groupId>
            <artifactId>service</artifactId>
            <version>${project.parent.version}</version>
        </dependency>
        <!-- Dependencies about quarkus reactive http server-->
        <dependency>
            <artifactId>quarkus-resteasy-reactive-common</artifactId>
            <groupId>io.quarkus</groupId>
        </dependency>
        <dependency>
            <artifactId>quarkus-resteasy-reactive-jackson</artifactId>
            <groupId>io.quarkus</groupId>
        </dependency>
        <dependency>
            <groupId>io.quarkus</groupId>
            <artifactId>quarkus-hibernate-validator</artifactId>
        </dependency>
        <!--        <dependency>-->
        <!--            <groupId>io.quarkus</groupId>-->
        <!--            <artifactId>quarkus-micrometer-registry-prometheus</artifactId>-->
        <!--        </dependency>-->
        <dependency>
            <artifactId>mutiny-reactor</artifactId>
            <groupId>io.smallrye.reactive</groupId>
        </dependency>

        <dependency>
            <artifactId>lombok</artifactId>
            <groupId>org.projectlombok</groupId>
        </dependency>

        <dependency>
            <artifactId>apm-agent-attach</artifactId>
            <groupId>co.elastic.apm</groupId>
            <scope>provided</scope>
            <version>${apm.version}</version>
        </dependency>
        <dependency>
            <artifactId>apm-agent-api</artifactId>
            <groupId>co.elastic.apm</groupId>
            <version>${apm.version}</version>
        </dependency>
        <dependency>
            <artifactId>microprofile-openapi-api</artifactId>
            <groupId>org.eclipse.microprofile.openapi</groupId>
            <version>${microprofile-openapi-api.version}</version>
        </dependency>

    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>io.smallrye</groupId>
                <artifactId>jandex-maven-plugin</artifactId>
            </plugin>
        </plugins>
    </build>
</project>
